using UnityEngine;
using System.Collections;

public class IceWall : MonoBehaviour {
    public Transform wall;

    private bool triggered = false;
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        if (triggered && wall.transform.position.y < 0) {
            wall.transform.position += Vector3.up * Time.deltaTime * 10;
        }
	}

    void OnTriggerEnter(Collider other) {
        if (other.tag == "Player" && !triggered) {
            triggered = true;
        }
    }
}
